# inputRandomText

Enters a random string.

## Examples

By default, `inputRandomText` will insert 8 random characters (lowercase letters, uppercase letters and numbers).

```yaml
- inputRandomText
```

Provide the length option to insert a specific number of characters.

```yaml
- inputRandomText:
    length: 4
```

## Related Commands

[inputText](/creating-tests/commands/inputtext.md)

[inputRandomPersonName](/creating-tests/commands/inputrandompersonname.md)

[inputRandomEmail](/creating-tests/commands/inputrandomemail.md)

[inputRandomNumber](/creating-tests/commands/inputrandomnumber.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moropo.com/creating-tests/commands/inputrandomtext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
